package com.nantian.cloud.dbcapp.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.security.core.parameters.P;

import java.util.Objects;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class SuperProductInfoBo {
    private String enterpriseCode ;
    private String cmpName;
    private String dataCode ;
    private String productName;
    private String productId;
    private String unit;

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        SuperProductInfoBo that = (SuperProductInfoBo) o;
        return productName.equals(that.productName) &&
                productId.equals(that.productId);
    }

    @Override
    public int hashCode() {
        return Objects.hash(productName, productId);
    }
}
